/* 
 * This File is part of the iowj-project  
 * $Id: PCF8574A.java,v 1.7 2005/07/23 10:33:51 Thomas Wagner Exp $
 * Copyright (C)2005 by Thomas Wagner
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.wagner_ibw.iow;

/**
 * This is the implemenation of the PCF8574A device
 * <p><b>(unfinished!)</b></p>.
 * @author Thomas Wagner
 */
public class PCF8574A implements I2CDevice {

	final static String NAME = "PCF8574A";
	final static int CLASS = 0x09;

	private IowInterface iow;
	private I2CAddress devAdr;

	PCF8574A(IowInterface iow, int deviceAddress){
		this.iow = iow;
		devAdr = new I2CAddress(CLASS,deviceAddress);
	 
	 
//		iow.addI2CDevice(devAdr,NAME); 	 
		//check adr im Bereich (manche chips nur ein bit
	 	
		//check adr schon vergeben (in dieser device classe, also devAdr checken?
	 
	 
		//*deb*/System.out.println("cl is "+deviceClass+", adr is "+deviceAddress+",devAdr: "+devAdr);
	}
	
	public String getName(){
		return NAME;
	}
	
/*	public int getAdr(){
		return devAdr;
	}
*/	
	
	public String toString(){
		StringBuffer sb = new StringBuffer();
			
		sb.append("PCF8574A:");
		sb.append("SlaveAddress[");
		sb.append(devAdr);
		sb.append("]");
		
		return sb.toString();
	}
	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.I2CDevice#getI2cAddress()
	 */
	public int getI2cAddress() {
		// TODO Auto-generated method stub
		return 0;
	}

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.I2CDevice#getI2cClass()
	 */
	public int getI2cClass() {
		// TODO Auto-generated method stub
		return 0;
	}

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.I2CDevice#reportReceived(int[])
	 */
	public void reportReceived(int[] readBuffer) {
		// TODO Auto-generated method stub

	}

	/* (non-Javadoc)
	 * @see de.wagner_ibw.iow.I2CDevice#setIowDevice(de.wagner_ibw.iow.IowInterface)
	 */
	public void setIowDevice(IowInterface iow) {
		// TODO Auto-generated method stub

	}

}
